Index: src/templates.c
===================================================================
--- src/templates.c	(revision 2262)
+++ src/templates.c	(working copy)
@@ -333,7 +333,7 @@


 // template items for the new file menu
-static void create_new_menu_items()
+static void create_new_menu_items(void)
 {
 	GtkWidget *template_menu = lookup_widget(app->window, "menu_new_with_template1_menu");
 	filetype_id ft_id;
Index: src/build.c
===================================================================
--- src/build.c	(revision 2262)
+++ src/build.c	(working copy)
@@ -1384,7 +1384,7 @@
 }


-static void show_includes_arguments_tex()
+static void show_includes_arguments_tex(void)
 {
 	GtkWidget *dialog, *label, *entries[4], *vbox, *table;
 	gint idx = document_get_cur_idx();
@@ -1551,7 +1551,7 @@
 }


-static void show_includes_arguments_gen()
+static void show_includes_arguments_gen(void)
 {
 	GtkWidget *dialog, *label, *entries[3], *vbox;
 	GtkWidget *ft_table = NULL;
@@ -1943,7 +1943,7 @@


 static void
-show_make_custom()
+show_make_custom(void)
 {
 	static GtkWidget *dialog = NULL;	// keep dialog for combo history

Index: src/ui_utils.h
===================================================================
--- src/ui_utils.h	(revision 2262)
+++ src/ui_utils.h	(working copy)
@@ -100,7 +100,7 @@
 /* End of 'generic' functions */


-void ui_init();
+void ui_init(void);


 void ui_set_statusbar(gboolean log, const gchar *format, ...) G_GNUC_PRINTF (2, 3);
@@ -113,7 +113,7 @@

 void ui_set_editor_font(const gchar *font_name);

-void ui_set_fullscreen();
+void ui_set_fullscreen(void);


 void ui_update_popup_reundo_items(gint idx);
@@ -127,27 +127,27 @@

 void ui_update_insert_include_item(gint idx, gint item);

-void ui_update_fold_items();
+void ui_update_fold_items(void);


-void ui_create_insert_menu_items();
+void ui_create_insert_menu_items(void);

-void ui_create_insert_date_menu_items();
+void ui_create_insert_date_menu_items(void);


 void ui_save_buttons_toggle(gboolean enable);

-void ui_document_buttons_update();
+void ui_document_buttons_update(void);


-void ui_sidebar_show_hide();
+void ui_sidebar_show_hide(void);

 void ui_document_show_hide(gint idx);


 void ui_update_toolbar_icons(GtkIconSize size);

-void ui_update_toolbar_items();
+void ui_update_toolbar_items(void);


 GdkPixbuf *ui_new_pixbuf_from_inline(gint img, gboolean small_img);
@@ -155,20 +155,20 @@
 GtkWidget *ui_new_image_from_inline(gint img, gboolean small_img);


-void ui_create_recent_menu();
+void ui_create_recent_menu(void);

 void ui_add_recent_file(const gchar *utf8_filename);


-void ui_show_markers_margin();
+void ui_show_markers_margin(void);

-void ui_show_linenumber_margin();
+void ui_show_linenumber_margin(void);


 void ui_update_tab_status(gint idx);


-typedef gboolean TVMatchCallback();
+typedef gboolean TVMatchCallback(void);

 gboolean ui_tree_view_find_next(GtkTreeView *treeview, TVMatchCallback cb);

Index: src/build.h
===================================================================
--- src/build.h	(revision 2262)
+++ src/build.h	(working copy)
@@ -62,9 +62,9 @@



-void build_init();
+void build_init(void);

-void build_finalize();
+void build_finalize(void);


 gboolean build_parse_make_dir(const gchar *string, gchar **prefix);
Index: src/highlighting.c
===================================================================
--- src/highlighting.c	(revision 2262)
+++ src/highlighting.c	(working copy)
@@ -73,9 +73,9 @@
 typedef struct
 {
 	// can take values 1 or 2 (or 3)
-	guchar marker:2;
-	guchar lines:2;
-	guchar draw_line:3;
+	guint marker:2;
+	guint lines:2;
+	guint draw_line:3;
 } FoldingStyle;

 static struct
@@ -582,10 +582,10 @@
 static void
 styleset_c_like_init(GKeyFile *config, GKeyFile *config_home, gint filetype_idx)
 {
-	HighlightingStyle uuid = {0x404080, 0xffffff, FALSE, FALSE};
-	HighlightingStyle operator = {0x301010, 0xffffff, FALSE, FALSE};
-	HighlightingStyle verbatim = {0x301010, 0xffffff, FALSE, FALSE};
-	HighlightingStyle regex = {0x105090, 0xffffff, FALSE, FALSE};
+	static HighlightingStyle uuid = {0x404080, 0xffffff, FALSE, FALSE};
+	static HighlightingStyle operator = {0x301010, 0xffffff, FALSE, FALSE};
+	static HighlightingStyle verbatim = {0x301010, 0xffffff, FALSE, FALSE};
+	static HighlightingStyle regex = {0x105090, 0xffffff, FALSE, FALSE};

 	StyleEntry entries[] =
 	{
Index: src/utils.h
===================================================================
--- src/utils.h	(revision 2262)
+++ src/utils.h	(working copy)
@@ -87,9 +87,9 @@

 gchar utils_brace_opposite(gchar ch);

-gchar *utils_get_hostname();
+gchar *utils_get_hostname(void);

-gint utils_make_settings_dir();
+gint utils_make_settings_dir(void);


 gboolean utils_string_replace_all(GString *str, const gchar *needle, const gchar *replace);
@@ -115,11 +115,11 @@

 gchar *utils_get_hex_from_color(GdkColor *color);

-const gchar *utils_get_default_dir_utf8();
+const gchar *utils_get_default_dir_utf8(void);

-gchar *utils_get_current_file_dir_utf8();
+gchar *utils_get_current_file_dir_utf8(void);

-void utils_beep();
+void utils_beep(void);

 gchar *utils_make_human_readable_str(unsigned long long size, unsigned long block_size,
 									 unsigned long display_unit);
@@ -130,7 +130,7 @@
 gint utils_strtod(const gchar *source, gchar **end, gboolean with_route);

 // returned string must be freed.
-gchar *utils_get_current_time_string();
+gchar *utils_get_current_time_string(void);

 GIOChannel *utils_set_up_io_channel(gint fd, GIOCondition cond, gboolean nblock,
 									GIOFunc func, gpointer data);
Index: src/keybindings.c
===================================================================
--- src/keybindings.c	(revision 2262)
+++ src/keybindings.c	(working copy)
@@ -46,6 +46,8 @@
 #include "vte.h"


+KeyBinding *keys[GEANY_MAX_KEYS];
+
 static const gboolean swap_alt_tab_order = FALSE;


@@ -103,10 +105,10 @@
 // common function for keybindings using current word
 static void cb_func_current_word(guint key_id);

-static void add_menu_accels();
+static void add_menu_accels(void);


-static void init_default_kb()
+static void init_default_kb(void)
 {
 	// init all fields of keys with default values
 	keys[GEANY_KEYS_MENU_NEW] = fill(cb_func_file_action,
@@ -331,7 +333,7 @@
 }


-static void load_user_kb()
+static void load_user_kb(void)
 {
 	gchar *configfile = g_strconcat(app->configdir, G_DIR_SEPARATOR_S, "keybindings.conf", NULL);
 	gchar *val;
@@ -570,7 +572,7 @@
 	gtk_widget_set_name(dialog, "GeanyDialog");

 	height = GEANY_WINDOW_MINIMAL_HEIGHT;
-	gtk_window_set_default_size(GTK_WINDOW(dialog), height * 0.8, height);
+	gtk_window_set_default_size(GTK_WINDOW(dialog), height * 8 / 10, height);
 	gtk_dialog_set_default_response(GTK_DIALOG(dialog), GTK_RESPONSE_CANCEL);

 	label3 = gtk_label_new(_("The following keyboard shortcuts are configurable:"));
Index: src/highlighting.h
===================================================================
--- src/highlighting.h	(revision 2262)
+++ src/highlighting.h	(working copy)
@@ -33,8 +33,8 @@
 {
 	gint	foreground;
 	gint	background;
-	gboolean bold:1;
-	gboolean italic:1;
+	gboolean bold;
+	gboolean italic;
 } HighlightingStyle;


Index: src/keybindings.h
===================================================================
--- src/keybindings.h	(revision 2262)
+++ src/keybindings.h	(working copy)
@@ -185,7 +185,7 @@
 }
 GeanyKeyCommand;

-KeyBinding	*keys[GEANY_MAX_KEYS];
+extern KeyBinding *keys[GEANY_MAX_KEYS];


 void keybindings_init(void);
@@ -197,7 +197,7 @@
 /* just write the content of the keys array to the config file */
 void keybindings_write_to_file(void);

-void keybindings_show_shortcuts();
+void keybindings_show_shortcuts(void);

 /* central keypress event handler, almost all keypress events go to this function */
 gboolean keybindings_got_event(GtkWidget *widget, GdkEventKey *event, gpointer user_data);
Index: src/tools.c
===================================================================
--- src/tools.c	(revision 2262)
+++ src/tools.c	(working copy)
@@ -209,7 +209,7 @@
 }


-static void cc_show_dialog_custom_commands()
+static void cc_show_dialog_custom_commands(void)
 {
 	GtkWidget *dialog, *label, *vbox, *button;
 	guint i;
Index: src/sciwrappers.c
===================================================================
--- src/sciwrappers.c	(revision 2262)
+++ src/sciwrappers.c	(working copy)
@@ -807,7 +807,7 @@

 gint sci_target_replace(ScintillaObject *sci, const gchar *text, gboolean regex)
 {
-	return SSM(sci, (regex) ? SCI_REPLACETARGETRE : SCI_REPLACETARGET, -1, (sptr_t) text);
+	return SSM(sci, (regex) ? SCI_REPLACETARGETRE : SCI_REPLACETARGET, (uptr_t) -1, (sptr_t) text);
 }


Index: src/tools.h
===================================================================
--- src/tools.h	(revision 2262)
+++ src/tools.h	(working copy)
@@ -25,12 +25,12 @@
 #ifndef GEANY_TOOLS_H
 #define GEANY_TOOLS_H 1

-void tools_create_insert_custom_command_menu_items();
+void tools_create_insert_custom_command_menu_items(void);

 void tools_execute_custom_command(gint idx, const gchar *command);


-void tools_word_count();
+void tools_word_count(void);

 void tools_color_chooser(gchar *color);

Index: src/project.c
===================================================================
--- src/project.c	(revision 2262)
+++ src/project.c	(working copy)
@@ -75,7 +75,7 @@
 static gboolean update_config(const PropertyDialogElements *e);
 static void on_file_save_button_clicked(GtkButton *button, PropertyDialogElements *e);
 static void on_file_open_button_clicked(GtkButton *button, PropertyDialogElements *e);
-static gboolean close_open_project();
+static gboolean close_open_project(void);
 static gboolean load_config(const gchar *filename);
 static gboolean write_config(gboolean emit_signal);
 static void on_name_entry_changed(GtkEditable *editable, PropertyDialogElements *e);
@@ -299,7 +299,7 @@


 // Called when opening, closing and updating projects.
-static void update_ui()
+static void update_ui(void)
 {
 	ui_set_window_title(-1);
 	build_menu_update(-1);
Index: src/encodings.c
===================================================================
--- src/encodings.c	(revision 2262)
+++ src/encodings.c	(working copy)
@@ -53,6 +53,9 @@
 #endif


+GeanyEncoding encodings[GEANY_ENCODINGS_MAX];
+
+
 #define fill(Order, Group, Idx, Charset, Name) \
 		encodings[Idx].idx = Idx; \
 		encodings[Idx].order = Order; \
@@ -510,13 +513,13 @@
 		{
 			check_regex = FALSE;
 			charset = regex_charset;
-			i = -1;
+			i = (guint) -1;
 		}
 		else if (check_locale)
 		{
 			check_locale = FALSE;
 			charset = locale_charset;
-			i = -1;
+			i = (guint) -1;
 		}
 		else
 			charset = encodings[i].charset;
@@ -525,7 +528,7 @@
 		if (charset == NULL)
 			continue;

-		geany_debug("Trying to convert %d bytes of data from %s into UTF-8.", (gint) size, charset);
+		geany_debug("Trying to convert %" G_GSIZE_FORMAT " bytes of data from %s into UTF-8.", size, charset);
 		utf8_content = encodings_convert_to_utf8_from_charset(buffer, size, charset, FALSE);

 		if (utf8_content != NULL)
Index: src/project.h
===================================================================
--- src/project.h	(revision 2262)
+++ src/project.h	(working copy)
@@ -54,28 +54,28 @@
 extern ProjectPrefs project_prefs;


-void project_new();
+void project_new(void);

-void project_open();
+void project_open(void);

 void project_close(gboolean open_default);

-void project_properties();
+void project_properties(void);


 gboolean project_load_file(const gchar *locale_file_name);

-gchar *project_get_base_path();
+gchar *project_get_base_path(void);

-gchar *project_get_make_dir();
+gchar *project_get_make_dir(void);


 void project_save_prefs(GKeyFile *config);

 void project_load_prefs(GKeyFile *config);

-void project_setup_prefs();
+void project_setup_prefs(void);

-void project_apply_prefs();
+void project_apply_prefs(void);

 #endif
Index: src/encodings.h
===================================================================
--- src/encodings.h	(revision 2262)
+++ src/encodings.h	(working copy)
@@ -163,7 +163,7 @@
 } GeanyEncodingIndex;


-GeanyEncoding encodings[GEANY_ENCODINGS_MAX];
+extern GeanyEncoding encodings[GEANY_ENCODINGS_MAX];


 GeanyEncodingIndex encodings_scan_unicode_bom(const gchar *string, gsize len, guint *bom_len);
Index: src/prefs.c
===================================================================
--- src/prefs.c	(revision 2262)
+++ src/prefs.c	(working copy)
@@ -87,10 +87,10 @@
 {
 	KB_TREE_ACTION,
 	KB_TREE_SHORTCUT,
-	KB_TREE_INDEX,
+	KB_TREE_INDEX
 };

-static void init_kb_tree()
+static void init_kb_tree(void)
 {
 	GtkCellRenderer *renderer;
 	GtkTreeViewColumn *column;
@@ -124,7 +124,7 @@
 }


-static void init_keybindings()
+static void init_keybindings(void)
 {
 	GtkTreeIter parent, iter;
 	gint i;
Index: src/dialogs.c
===================================================================
--- src/dialogs.c	(revision 2262)
+++ src/dialogs.c	(working copy)
@@ -63,7 +63,7 @@
 };

 #if ! GEANY_USE_WIN32_DIALOG
-static GtkWidget *add_file_open_extra_widget();
+static GtkWidget *add_file_open_extra_widget(void);
 #endif


@@ -163,7 +163,7 @@


 #if ! GEANY_USE_WIN32_DIALOG
-static void create_open_file_dialog()
+static void create_open_file_dialog(void)
 {
 	GtkWidget *filetype_combo, *encoding_combo;
 	GtkWidget *viewbtn;
@@ -471,7 +471,7 @@


 #if ! GEANY_USE_WIN32_DIALOG
-static void create_save_file_dialog()
+static void create_save_file_dialog(void)
 {
 	GtkWidget *vbox, *check_open_new_tab, *rename_btn;
 	GtkTooltips *tooltips = GTK_TOOLTIPS(lookup_widget(app->window, "tooltips"));
@@ -810,7 +810,7 @@
                          gint response,
                          GtkWidget *entry)
 {
-	gboolean persistent = GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "has_combo"));
+	gboolean persistent = (gboolean) GPOINTER_TO_INT(g_object_get_data(G_OBJECT(dialog), "has_combo"));

 	if (response == GTK_RESPONSE_ACCEPT)
 	{
Index: src/dialogs.h
===================================================================
--- src/dialogs.h	(revision 2262)
+++ src/dialogs.h	(working copy)
@@ -28,22 +28,22 @@
 typedef void (*InputCallback)(const gchar *);


-void dialogs_show_open_file();
+void dialogs_show_open_file(void);

-gboolean dialogs_show_save_as();
+gboolean dialogs_show_save_as(void);

 gboolean dialogs_show_unsaved_file(gint idx);

-void dialogs_show_open_font();
+void dialogs_show_open_font(void);

-void dialogs_show_word_count();
+void dialogs_show_word_count(void);

 void dialogs_show_color(gchar *colour);

 GtkWidget *dialogs_show_input(const gchar *title, const gchar *label_text,
 	const gchar *default_text, gboolean persistent, InputCallback input_cb);

-void dialogs_show_goto_line();
+void dialogs_show_goto_line(void);

 void dialogs_show_file_properties(gint idx);

Index: src/navqueue.c
===================================================================
--- src/navqueue.c	(revision 2262)
+++ src/navqueue.c	(working copy)
@@ -71,7 +71,7 @@
 }


-static void adjust_buttons()
+static void adjust_buttons(void)
 {
 	if (g_queue_get_length(navigation_queue) < 2)
 	{
Index: src/plugindata.h
===================================================================
--- src/plugindata.h	(revision 2262)
+++ src/plugindata.h	(working copy)
@@ -129,7 +129,7 @@

 /* Sets the plugin name and a brief description of what it is. */
 #define PLUGIN_INFO(p_name, p_description, p_version, p_author) \
-	PluginInfo *info() \
+	PluginInfo *info(void) \
 	{ \
 		static PluginInfo p_info; \
 		\
@@ -211,10 +211,10 @@
 typedef struct DocumentFuncs
 {
 	gint	(*new_file) (const gchar *filename, struct filetype *ft, const gchar *text);
-	gint	(*get_cur_idx) ();
+	gint	(*get_cur_idx) (void);
 	gint	(*get_n_idx) (guint i);
 	gint	(*find_by_filename) (const gchar *filename, gboolean is_tm_filename);
-	struct document* (*get_current) ();
+	struct document* (*get_current) (void);
 	gboolean (*save_file)(gint idx, gboolean force);
 	gint	(*open_file)(const gchar *locale_filename, gboolean readonly,
 			struct filetype *ft, const gchar *forced_enc);
@@ -313,7 +313,7 @@
 {
 	gboolean	(*show_question) (const gchar *text, ...);
 	void		(*show_msgbox) (gint type, const gchar *text, ...);
-	gboolean	(*show_save_as) ();
+	gboolean	(*show_save_as) (void);
 }
 DialogFuncs;

Index: src/navqueue.h
===================================================================
--- src/navqueue.h	(revision 2262)
+++ src/navqueue.h	(working copy)
@@ -27,16 +27,16 @@
 #define GEANY_NAVQUEUE_H 1


-void navqueue_init();
+void navqueue_init(void);

-void navqueue_free();
+void navqueue_free(void);


 gboolean navqueue_goto_line(gint old_idx, gint new_idx, gint line);

-void navqueue_go_back();
+void navqueue_go_back(void);

-void navqueue_go_forward();
+void navqueue_go_forward(void);


 #endif
Index: src/geanyobject.h
===================================================================
--- src/geanyobject.h	(revision 2262)
+++ src/geanyobject.h	(working copy)
@@ -76,7 +76,7 @@
 	void (*document_activate)(gint idx);
 	void (*project_open)(GKeyFile *keyfile);
 	void (*project_save)(GKeyFile *keyfile);
-	void (*project_close)();
+	void (*project_close)(void);
 };

 GType		geany_object_get_type	(void);
Index: src/treeviews.c
===================================================================
--- src/treeviews.c	(revision 2262)
+++ src/treeviews.c	(working copy)
@@ -232,7 +232,7 @@


 /* does some preparing things to the open files list widget */
-static void prepare_openfiles()
+static void prepare_openfiles(void)
 {
 	GtkCellRenderer *renderer;
 	GtkTreeViewColumn *column;
@@ -356,7 +356,7 @@
 }


-static void create_taglist_popup_menu()
+static void create_taglist_popup_menu(void)
 {
 	GtkWidget *item;

@@ -423,7 +423,7 @@
 }


-static void create_openfiles_popup_menu()
+static void create_openfiles_popup_menu(void)
 {
 	GtkWidget *item;

Index: src/msgwindow.c
===================================================================
--- src/msgwindow.c	(revision 2262)
+++ src/msgwindow.c	(working copy)
@@ -595,7 +595,10 @@
  * *filename must be freed unless it is NULL. */
 void msgwin_parse_compiler_error_line(const gchar *string, const gchar *dir, gchar **filename, gint *line)
 {
-	ParseData data = {string, build_info.dir, NULL, 0, 0, 0};
+	ParseData data = {NULL, NULL, NULL, 0, 0, 0};
+
+	data.string = string;
+	data.dir = build_info.dir;

 	*filename = NULL;
 	*line = -1;
Index: src/callbacks.c
===================================================================
--- src/callbacks.c	(revision 2262)
+++ src/callbacks.c	(working copy)
@@ -93,7 +93,7 @@
 CallbacksData callbacks_data = {-1};


-static gboolean check_no_unsaved()
+static gboolean check_no_unsaved(void)
 {
 	guint i;

@@ -108,7 +108,7 @@
 }


-static gboolean account_for_unsaved()
+static gboolean account_for_unsaved(void)
 {
 	gint p;

@@ -139,7 +139,7 @@


 // should only be called from on_exit_clicked
-static void quit_app()
+static void quit_app(void)
 {
 	guint i;

Index: src/notebook.c
===================================================================
--- src/notebook.c	(revision 2262)
+++ src/notebook.c	(working copy)
@@ -74,7 +74,7 @@
 static void
 notebook_tab_close_clicked_cb(GtkButton *button, gpointer user_data);

-static void setup_tab_dnd();
+static void setup_tab_dnd(void);


 static void focus_sci(GtkWidget *widget, gpointer user_data)
@@ -280,7 +280,7 @@


 // call this after the number of tabs in app->notebook changes.
-static void tab_count_changed()
+static void tab_count_changed(void)
 {
 	switch (gtk_notebook_get_n_pages(GTK_NOTEBOOK(app->notebook)))
 	{
Index: src/treeviews.h
===================================================================
--- src/treeviews.h	(revision 2262)
+++ src/treeviews.h	(working copy)
@@ -42,10 +42,10 @@
 	SYMBOLS_COLUMN_ICON,
 	SYMBOLS_COLUMN_NAME,
 	SYMBOLS_COLUMN_LINE,
-	SYMBOLS_N_COLUMNS,
+	SYMBOLS_N_COLUMNS
 };

-void treeviews_init();
+void treeviews_init(void);

 void treeviews_update_tag_list(gint idx, gboolean update);

@@ -53,7 +53,7 @@

 void treeviews_openfiles_update(gint idx);

-void treeviews_openfiles_update_all();
+void treeviews_openfiles_update_all(void);

 void treeviews_select_openfiles_item(gint idx);

Index: src/msgwindow.h
===================================================================
--- src/msgwindow.h	(revision 2262)
+++ src/msgwindow.h	(working copy)
@@ -40,7 +40,7 @@
 	MSG_COMPILER,
 	MSG_MESSAGE,
 	MSG_SCRATCH,
-	MSG_VTE,
+	MSG_VTE
 } MessageWindowTabNum;


@@ -63,9 +63,9 @@
 extern MessageWindow msgwindow;


-void msgwin_init();
+void msgwin_init(void);

-void msgwin_finalize();
+void msgwin_finalize(void);

 void msgwin_show_hide(gboolean show);

@@ -87,11 +87,11 @@

 void msgwin_menu_add_common_items(GtkMenu *menu);

-gboolean msgwin_goto_compiler_file_line();
+gboolean msgwin_goto_compiler_file_line(void);

 void msgwin_parse_compiler_error_line(const gchar *string, const gchar *dir,
 									  gchar **filename, gint *line);

-gboolean msgwin_goto_messages_file_line();
+gboolean msgwin_goto_messages_file_line(void);

 #endif
Index: src/notebook.h
===================================================================
--- src/notebook.h	(revision 2262)
+++ src/notebook.h	(working copy)
@@ -24,7 +24,7 @@
 #ifndef GEANY_NOTEBOOK_H
 #define GEANY_NOTEBOOK_H 1

-void notebook_init();
+void notebook_init(void);

 /* Returns page number of notebook page, or -1 on error */
 gint notebook_new_tab(gint doc_idx);
Index: src/keyfile.c
===================================================================
--- src/keyfile.c	(revision 2262)
+++ src/keyfile.c	(working copy)
@@ -160,8 +160,11 @@
 		g_key_file_set_string_list(config, "plugins", "active_plugins",
 			(const gchar**)app->active_plugins, g_strv_length(app->active_plugins));
 	else
+	{
 		// use an empty dummy array to override maybe exisiting value
-		g_key_file_set_string_list(config, "plugins", "active_plugins", (const gchar*[1]){ "" }, 1);
+		const gchar *dummy[] = { "" };
+		g_key_file_set_string_list(config, "plugins", "active_plugins", dummy, 1);
+	}
 }
 #endif

Index: src/prefix.c
===================================================================
--- src/prefix.c	(revision 2262)
+++ src/prefix.c	(working copy)
@@ -287,4 +287,8 @@
 	return newpath;
 }

+#else /* ENABLE_BINRELOC */
+
+typedef int iso_c_forbids_an_empty_source_file;
+
 #endif /* ENABLE_BINRELOC */
Index: src/keyfile.h
===================================================================
--- src/keyfile.h	(revision 2262)
+++ src/keyfile.h	(working copy)
@@ -26,27 +26,27 @@
 #define GEANY_KEYFILE_H 1


-void configuration_save();
+void configuration_save(void);

-gboolean configuration_load();
+gboolean configuration_load(void);

-gboolean configuration_open_files();
+gboolean configuration_open_files(void);

-void configuration_reload_default_session();
+void configuration_reload_default_session(void);

-void configuration_save_default_session();
+void configuration_save_default_session(void);

 void configuration_load_session_files(GKeyFile *config);

 void configuration_save_session_files(GKeyFile *config);

-void configuration_read_filetype_extensions();
+void configuration_read_filetype_extensions(void);

-void configuration_read_snippets();
+void configuration_read_snippets(void);

 /* set some settings which are already read from the config file, but need other things, like the
  * realisation of the main window */
-void configuration_apply_settings();
+void configuration_apply_settings(void);

 #ifdef GEANY_DEBUG
 /* Generate the config files in "data/" from defaults */
Index: src/vte.c
===================================================================
--- src/vte.c	(revision 2262)
+++ src/vte.c	(working copy)
@@ -46,6 +46,7 @@


 VteInfo vte_info;
+VteConfig *vc;

 extern gchar **environ;
 static pid_t pid;
@@ -63,7 +64,7 @@
 #define VTE_TERMINAL(obj) (GTK_CHECK_CAST((obj), VTE_TYPE_TERMINAL, VteTerminal))
 #define VTE_TYPE_TERMINAL (vf->vte_terminal_get_type())

-static void create_vte();
+static void create_vte(void);
 static void vte_start(GtkWidget *widget);
 static gboolean vte_button_pressed(GtkWidget *widget, GdkEventButton *event, gpointer user_data);
 static gboolean vte_keyrelease(GtkWidget *widget, GdkEventKey *event, gpointer data);
@@ -87,7 +88,7 @@
 	TARGET_TEXT,
 	TARGET_COMPOUND_TEXT,
 	TARGET_STRING,
-	TARGET_TEXT_PLAIN,
+	TARGET_TEXT_PLAIN
 };

 static const GtkTargetEntry dnd_targets[] =
@@ -140,7 +141,7 @@
 }


-static void override_menu_key()
+static void override_menu_key(void)
 {
 	if (gtk_menu_key_accel == NULL) // for restoring the default value
 		g_object_get(G_OBJECT(gtk_settings_get_default()), "gtk-menu-bar-accel",
Index: src/vte.h
===================================================================
--- src/vte.h	(revision 2262)
+++ src/vte.h	(working copy)
@@ -63,7 +63,7 @@
 	GdkColor *colour_fore;
 	GdkColor *colour_back;
 } VteConfig;
-VteConfig *vc;
+extern VteConfig *vc;


 void vte_init(void);
@@ -78,7 +78,7 @@

 void vte_cwd(const gchar *filename, gboolean force);

-void vte_append_preferences_tab();
+void vte_append_preferences_tab(void);

 /*
 void vte_drag_data_received(GtkWidget *widget, GdkDragContext  *drag_context, gint x, gint y,
Index: src/search.c
===================================================================
--- src/search.c	(revision 2262)
+++ src/search.c	(working copy)
@@ -1012,7 +1012,7 @@
 }


-static GString *get_grep_options()
+static GString *get_grep_options(void)
 {
 	gboolean fgrep = gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(
 					lookup_widget(widgets.find_in_files_dialog, "radio_fgrep")));
Index: src/filetypes.h
===================================================================
--- src/filetypes.h	(revision 2262)
+++ src/filetypes.h	(working copy)
@@ -88,9 +88,9 @@

 struct build_actions
 {
-	gboolean	can_compile:1;
-	gboolean	can_link:1;
-	gboolean	can_exec:1;
+	gboolean	can_compile;
+	gboolean	can_link;
+	gboolean	can_exec;
 };

 struct build_programs
@@ -128,10 +128,10 @@
 filetype *filetypes_get_from_uid(gint uid);

 /* Calls filetypes_init_types() and creates the filetype menu. */
-void filetypes_init();
+void filetypes_init(void);

 /* Create the filetype array and fill it with the known filetypes. */
-void filetypes_init_types();
+void filetypes_init_types(void);

 /* Detect the filetype for document idx, checking for a shebang, then filename extension. */
 filetype *filetypes_detect_from_file(gint idx);
@@ -141,17 +141,17 @@
 filetype *filetypes_detect_from_filename(const gchar *utf8_filename);

 /* frees the array and all related pointers */
-void filetypes_free_types();
+void filetypes_free_types(void);

 void filetypes_load_config(gint ft_id);

-void filetypes_save_commands();
+void filetypes_save_commands(void);

 void filetypes_select_radio_item(const filetype *ft);

 GtkFileFilter *filetypes_create_file_filter(filetype *ft);

-GtkFileFilter *filetypes_create_file_filter_all_source();
+GtkFileFilter *filetypes_create_file_filter_all_source(void);

 gchar *filetypes_get_conf_extension(gint filetype_idx);

Index: src/search.h
===================================================================
--- src/search.h	(revision 2262)
+++ src/search.h	(working copy)
@@ -47,13 +47,13 @@
 extern SearchPrefs search_prefs;


-void search_init();
+void search_init(void);

-void search_finalize();
+void search_finalize(void);

-void search_show_find_dialog();
+void search_show_find_dialog(void);

-void search_show_replace_dialog();
+void search_show_replace_dialog(void);

 void search_show_find_in_files_dialog(const gchar *dir);

Index: src/document.c
===================================================================
--- src/document.c	(revision 2262)
+++ src/document.c	(working copy)
@@ -324,7 +324,7 @@

 /* returns the next free place(i.e. index) in the document list,
  * or -1 if the current doc_array is full */
-static gint document_get_new_idx()
+static gint document_get_new_idx(void)
 {
 	guint i;

@@ -1204,9 +1204,9 @@
 		// encoding, it will be converted to doc_list[idx].encoding below and this conversion
 		// also changes the BOM
 		data = (gchar*) g_malloc(len + 3);	// 3 chars for BOM
-		data[0] = 0xef;
-		data[1] = 0xbb;
-		data[2] = 0xbf;
+		data[0] = (gchar) 0xef;
+		data[1] = (gchar) 0xbb;
+		data[2] = (gchar) 0xbf;
 		sci_get_text(doc_list[idx].sci, len, data + 3);
 		len += 3;
 	}
Index: src/plugins.c
===================================================================
--- src/plugins.c	(revision 2262)
+++ src/plugins.c	(working copy)
@@ -73,10 +73,10 @@
 	gulong		*signal_ids;		// signal IDs to disconnect when unloading
 	gsize		signal_ids_len;

-	PluginInfo*	(*info) ();	/* Returns plugin name, description */
+	PluginInfo*	(*info) (void);	/* Returns plugin name, description */
 	void	(*init) (GeanyData *data);	/* Called when the plugin is enabled */
 	void	(*configure) (GtkWidget *parent);	/* plugin configure dialog, optionally */
-	void	(*cleanup) ();		/* Called when the plugin is disabled or when Geany exits */
+	void	(*cleanup) (void);	/* Called when the plugin is disabled or when Geany exits */
 }
 Plugin;

@@ -240,7 +240,7 @@


 static void
-geany_data_init()
+geany_data_init(void)
 {
 	geany_data.app = app;
 	geany_data.tools_menu = lookup_widget(app->window, "tools1_menu");
@@ -387,7 +387,7 @@
 {
 	Plugin *plugin;
 	GModule *module;
-	PluginInfo* (*info)();
+	PluginInfo* (*info)(void);
 	PluginFields **plugin_fields;
 	GeanyData **p_geany_data;

@@ -554,7 +554,7 @@
 #endif


-static void load_plugin_paths()
+static void load_plugin_paths(void)
 {
 	gchar *path;

@@ -650,7 +650,7 @@
 static gint
 plugin_has_menu(Plugin *a, Plugin *b)
 {
-	if (((PluginFields)a->fields).menu_item != NULL)
+	if (a->fields.menu_item != NULL)
 		return 0;

 	return 1;
Index: src/document.h
===================================================================
--- src/document.h	(revision 2262)
+++ src/document.h	(working copy)
@@ -99,15 +99,15 @@
 gint document_get_n_idx(guint page_num);

 /* returns the index of the current notebook page in the document list */
-gint document_get_cur_idx();
+gint document_get_cur_idx(void);

 /* returns NULL if no documents are open */
-document *document_get_current();
+document *document_get_current(void);


-void document_init_doclist();
+void document_init_doclist(void);

-void document_finalize();
+void document_finalize(void);


 void document_set_text_changed(gint idx);
@@ -233,9 +233,9 @@
 GdkColor *document_get_status(gint idx);


-void document_delay_colourise();
+void document_delay_colourise(void);

-void document_colourise_new();
+void document_colourise_new(void);

 void document_insert_colour(gint idx, const gchar *colour);

Index: src/main.c
===================================================================
--- src/main.c	(revision 2262)
+++ src/main.c	(working copy)
@@ -419,7 +419,7 @@
 }


-static void setup_paths()
+static void setup_paths(void)
 {
 	gchar *data_dir;
 	gchar *doc_dir;
@@ -448,7 +448,7 @@
 }


-static void locale_init()
+static void locale_init(void)
 {
 #ifdef ENABLE_NLS
 	gchar *locale_dir = NULL;
@@ -615,7 +615,7 @@


 // Returns 0 if config dir is OK.
-static gint setup_config_dir()
+static gint setup_config_dir(void)
 {
 	gint mkdir_result = 0;
 	gchar *tmp = app->configdir;
@@ -705,7 +705,7 @@
 }


-static void load_project_file()
+static void load_project_file(void)
 {
 	gchar *locale_filename;

@@ -721,7 +721,7 @@
 }


-static void load_settings()
+static void load_settings(void)
 {
 	configuration_load();
 	// let cmdline options overwrite configuration settings
Index: src/plugins.h
===================================================================
--- src/plugins.h	(revision 2262)
+++ src/plugins.h	(working copy)
@@ -28,13 +28,13 @@

 #ifdef HAVE_PLUGINS

-void plugins_init();
+void plugins_init(void);

-void plugins_free();
+void plugins_free(void);

-void plugins_create_active_list();
+void plugins_create_active_list(void);

-void plugins_update_tools_menu();
+void plugins_update_tools_menu(void);

 void plugins_update_document_sensitive(gboolean enabled);

Index: src/editor.c
===================================================================
--- src/editor.c	(revision 2262)
+++ src/editor.c	(working copy)
@@ -77,7 +77,7 @@
                                         gpointer user_data)
 {
 	gint idx = GPOINTER_TO_INT(user_data);
-	editor_info.click_pos = sci_get_position_from_xy(doc_list[idx].sci, event->x, event->y, FALSE);
+	editor_info.click_pos = sci_get_position_from_xy(doc_list[idx].sci, (gint)event->x, (gint)event->y, FALSE);

 	if (event->button == 1)
 	{
@@ -1997,7 +1997,7 @@
 		brace_pos++;
 		if (! utils_isbrace(sci_get_char_at(sci, brace_pos), editor_prefs.brace_match_ltgt))
 		{
-			SSM(sci, SCI_BRACEBADLIGHT, -1, 0);
+			SSM(sci, SCI_BRACEBADLIGHT, (uptr_t)-1, 0);
 			return;
 		}
 	}
Index: src/symbols.c
===================================================================
--- src/symbols.c	(revision 2262)
+++ src/symbols.c	(working copy)
@@ -83,7 +83,7 @@
 static gchar *user_tags_dir;


-static void html_tags_loaded();
+static void html_tags_loaded(void);
 static void load_user_tags(filetype_id ft_id);


@@ -385,7 +385,7 @@
 			if (tag->type & tag_types)
 			{
 				if (! doc_is_utf8) utf8_name = encodings_convert_to_utf8_from_charset(tag->name,
-															-1, doc_list[idx].encoding, TRUE);
+															(gsize)-1, doc_list[idx].encoding, TRUE);
 				else utf8_name = tag->name;

 				if (utf8_name == NULL)
@@ -436,7 +436,7 @@
 } tv_iters;


-static void init_tag_iters()
+static void init_tag_iters(void)
 {
 	// init all GtkTreeIters with -1 to make them invalid to avoid crashes when switching between
 	// filetypes(e.g. config file to Python crashes Geany without this)
@@ -1011,7 +1011,7 @@
 }


-static GHashTable *init_user_tags()
+static GHashTable *init_user_tags(void)
 {
 	GSList *file_list;
 	GHashTable *lang_hash;
Index: src/socket.c
===================================================================
--- src/socket.c	(revision 2262)
+++ src/socket.c	(working copy)
@@ -91,6 +91,9 @@
 #endif


+struct socket_info_struct socket_info;
+
+
 #ifdef G_OS_WIN32
 static gint socket_fd_connect_inet	(gushort port);
 static gint socket_fd_open_inet		(gushort port);
@@ -159,7 +162,7 @@
 }


-static void remove_socket_link_full()
+static void remove_socket_link_full(void)
 {
 	gchar real_path[512];
 	gsize len;
Index: src/main.h
===================================================================
--- src/main.h	(revision 2262)
+++ src/main.h	(working copy)
@@ -49,6 +49,6 @@

 gchar *get_argv_filename(const gchar *filename);

-void main_quit();
+void main_quit(void);

 #endif
Index: src/editor.h
===================================================================
--- src/editor.h	(revision 2262)
+++ src/editor.h	(working copy)
@@ -133,7 +133,7 @@

 void editor_scroll_to_line(ScintillaObject *sci, gint line, gfloat percent_of_view);

-void editor_finalize();
+void editor_finalize(void);


 /* General editing functions */
Index: src/symbols.h
===================================================================
--- src/symbols.h	(revision 2262)
+++ src/symbols.h	(working copy)
@@ -36,17 +36,17 @@

 const GList *symbols_get_tag_list(gint idx, guint tag_types);

-GString *symbols_get_macro_list();
+GString *symbols_get_macro_list(void);

-const gchar **symbols_get_html_entities();
+const gchar **symbols_get_html_entities(void);

-void symbols_finalize();
+void symbols_finalize(void);

 gboolean symbols_recreate_tag_list(gint idx, gboolean sort_by_name);

 gint symbols_generate_global_tags(gint argc, gchar **argv, gboolean want_preprocess);

-void symbols_show_load_tags_dialog();
+void symbols_show_load_tags_dialog(void);

 gboolean symbols_goto_tag(const gchar *name, gboolean definition);

Index: src/socket.h
===================================================================
--- src/socket.h	(revision 2262)
+++ src/socket.h	(working copy)
@@ -26,20 +26,22 @@
 #define GEANY_SOCKET_H 1


-struct
+struct socket_info_struct
 {
 	gboolean	 ignore_socket;
 	gchar		*file_name;
 	GIOChannel	*read_ioc;
 	gint 		 lock_socket;
 	gint 		 lock_socket_tag;
-} socket_info;
+};
+
+extern struct socket_info_struct socket_info;

 gint socket_init(gint argc, gchar **argv);

 gboolean socket_lock_input_cb(GIOChannel *source, GIOCondition condition, gpointer data);

-gint socket_finalize();
+gint socket_finalize(void);


 #endif
Index: src/ui_utils.c
===================================================================
--- src/ui_utils.c	(revision 2262)
+++ src/ui_utils.c	(working copy)
@@ -59,7 +59,7 @@

 static gchar *menu_item_get_text(GtkMenuItem *menu_item);

-static void update_recent_menu();
+static void update_recent_menu(void);
 static void recent_file_loaded(const gchar *utf8_filename);
 static void
 recent_file_activate_cb                (GtkMenuItem     *menuitem,
@@ -542,7 +542,7 @@
 }


-static void init_document_widgets()
+static void init_document_widgets(void)
 {
 	/* Cache the document-sensitive widgets so we don't have to keep looking them up
 	 * when using ui_document_buttons_update(). */
Index: tagmanager/tm_workspace.c
===================================================================
--- tagmanager/tm_workspace.c	(revision 2262)
+++ tagmanager/tm_workspace.c	(working copy)
@@ -29,7 +29,7 @@
 static TMWorkspace *theWorkspace = NULL;
 guint workspace_class_id = 0;

-static gboolean tm_create_workspace()
+static gboolean tm_create_workspace(void)
 {
 	workspace_class_id = tm_work_object_register(tm_workspace_free, tm_workspace_update
 		  , tm_workspace_find_object);
@@ -709,7 +709,7 @@
 		return function_tag;
 	}
 	return NULL;
-};
+}


 const GPtrArray *tm_workspace_get_parents(const gchar *name)
Index: tagmanager/include/tm_workspace.h
===================================================================
--- tagmanager/include/tm_workspace.h	(revision 2262)
+++ tagmanager/include/tm_workspace.h	(working copy)
@@ -56,7 +56,7 @@
  a workspace is created. Subsequent calls to the function will return the
  created workspace.
 */
-const TMWorkspace *tm_get_workspace();
+const TMWorkspace *tm_get_workspace(void);

 /*! Adds a work object (source file or project) to the workspace.
  \param work_object The work object to add to the project.
Index: tagmanager/docbook.c
===================================================================
--- tagmanager/docbook.c	(revision 2262)
+++ tagmanager/docbook.c	(working copy)
@@ -32,7 +32,7 @@
     K_SECT1,
     K_SECT2,
     K_SECT3,
-    K_APPENDIX,
+    K_APPENDIX
 } docbookKind;

 static kindOption DocBookKinds [] = {
Index: tagmanager/c.c
===================================================================
--- tagmanager/c.c	(revision 2262)
+++ tagmanager/c.c	(working copy)
@@ -434,7 +434,7 @@
 */

 /* Debugging functions added by Biswa */
-#if DEBUG_C
+#if defined(DEBUG_C) && DEBUG_C
 static char *tokenTypeName[] = {
     "none", "args", "'}'", "'{'", "','", "'::'", "keyword", "name",
     "package", "paren-name", "';'",	"spec", "*", "[]", "count"
Index: tagmanager/haskell.c
===================================================================
--- tagmanager/haskell.c	(revision 2262)
+++ tagmanager/haskell.c	(working copy)
@@ -51,7 +51,7 @@
 */


-static void skip_rest_of_line()
+static void skip_rest_of_line(void)
 {
     int c;
     do {
@@ -71,7 +71,7 @@
     return i;
 }

-static int get_next_char()
+static int get_next_char(void)
 {
     int c, nxt;
     c = fileGetc();
Index: tagmanager/sort.c
===================================================================
--- tagmanager/sort.c	(revision 2262)
+++ tagmanager/sort.c	(working copy)
@@ -111,7 +111,7 @@
     if (fp != NULL)
 	fclose (fp);
     if (msg == NULL)
-	error (FATAL | PERROR, cannotSort);
+	error (FATAL | PERROR, "%s", cannotSort);
     else
 	error (FATAL, "%s: %s", msg, cannotSort);
 }
Index: plugins/export.c
===================================================================
--- plugins/export.c	(revision 2262)
+++ plugins/export.c	(working copy)
@@ -737,7 +737,7 @@
 }


-void cleanup()
+void cleanup(void)
 {
 	gtk_widget_destroy(plugin_fields->menu_item);
 }
Index: plugins/vcdiff.c
===================================================================
--- plugins/vcdiff.c	(revision 2262)
+++ plugins/vcdiff.c	(working copy)
@@ -271,11 +271,11 @@
 	if (force_encoding)
 	{
 		text = p_encoding->convert_to_utf8_from_charset(
-			std_output, -1, force_encoding, TRUE);
+			std_output, (gsize)-1, force_encoding, TRUE);
 	}
 	else
 	{
-		text = p_encoding->convert_to_utf8(std_output, -1, &detect_enc);
+		text = p_encoding->convert_to_utf8(std_output, (gsize)-1, &detect_enc);
 	}
 	if (text)
 	{
@@ -454,7 +454,7 @@
 static GtkWidget *menu_vcdiff_dir = NULL;
 static GtkWidget *menu_vcdiff_project = NULL;

-static void update_menu_items()
+static void update_menu_items(void)
 {
 	document	*doc;
 	gboolean	have_file;
@@ -525,7 +525,7 @@


 /* Called by Geany before unloading the plugin. */
-void cleanup()
+void cleanup(void)
 {
 	// remove the menu item added in init()
 	gtk_widget_destroy(plugin_fields->menu_item);
Index: plugins/demoplugin.c
===================================================================
--- plugins/demoplugin.c	(revision 2262)
+++ plugins/demoplugin.c	(working copy)
@@ -70,7 +70,7 @@
 		GTK_DIALOG_DESTROY_WITH_PARENT,
 		GTK_MESSAGE_INFO,
 		GTK_BUTTONS_OK,
-		welcome_text);
+		"%s", welcome_text);
 	gtk_message_dialog_format_secondary_text(GTK_MESSAGE_DIALOG(dialog),
 		_("(From the %s plugin)"), info()->name);

@@ -146,7 +146,7 @@
 /* Called by Geany before unloading the plugin.
  * Here any UI changes should be removed, memory freed and any other finalization done.
  * Be sure to leave Geany as it was before init(). */
-void cleanup()
+void cleanup(void)
 {
 	// remove the menu item added in init()
 	gtk_widget_destroy(plugin_fields->menu_item);
Index: plugins/filebrowser.c
===================================================================
--- plugins/filebrowser.c	(revision 2262)
+++ plugins/filebrowser.c	(working copy)
@@ -60,7 +60,7 @@
 {
 	FILEVIEW_COLUMN_ICON = 0,
 	FILEVIEW_COLUMN_NAME,
-	FILEVIEW_N_COLUMNS,
+	FILEVIEW_N_COLUMNS
 };

 static gboolean show_hidden_files = FALSE;
@@ -163,7 +163,7 @@


 // adds ".." to the start of the file list
-static void add_top_level_entry()
+static void add_top_level_entry(void)
 {
 	GtkTreeIter iter;

@@ -178,7 +178,7 @@
 }


-static void clear()
+static void clear(void)
 {
 	gtk_list_store_clear(file_store);

@@ -190,7 +190,7 @@


 // recreate the tree model from current_dir.
-static void refresh()
+static void refresh(void)
 {
 	gchar *utf8_dir;
 	GSList *list;
@@ -217,14 +217,14 @@
 }


-static void on_go_home()
+static void on_go_home(void)
 {
 	setptr(current_dir, g_strdup(g_get_home_dir()));
 	refresh();
 }


-static gchar *get_default_dir()
+static gchar *get_default_dir(void)
 {
 	const gchar *dir = NULL;

@@ -237,7 +237,7 @@
 }


-static void on_current_path()
+static void on_current_path(void)
 {
 	gchar *fname;
 	gchar *dir;
@@ -260,7 +260,7 @@
 }


-static void on_go_up()
+static void on_go_up(void)
 {
 	// remove the highest directory part (which becomes the basename of current_dir)
 	setptr(current_dir, g_path_get_dirname(current_dir));
@@ -495,7 +495,7 @@
 }


-static GtkWidget *create_popup_menu()
+static GtkWidget *create_popup_menu(void)
 {
 	GtkWidget *item, *menu, *image;

@@ -629,7 +629,7 @@
 }


-static void prepare_file_view()
+static void prepare_file_view(void)
 {
 	GtkCellRenderer *text_renderer, *icon_renderer;
 	GtkTreeViewColumn *column;
@@ -671,7 +671,7 @@
 }


-static GtkWidget *make_toolbar()
+static GtkWidget *make_toolbar(void)
 {
 	GtkWidget *wid, *toolbar;
 	GtkTooltips *tooltips = GTK_TOOLTIPS(p_support->lookup_widget(
@@ -756,7 +756,7 @@
 }


-static void completion_create()
+static void completion_create(void)
 {
 	entry_completion = gtk_entry_completion_new();

@@ -915,7 +915,7 @@
 }


-void cleanup()
+void cleanup(void)
 {
 	g_free(config_file);
 	g_free(open_cmd);
Index: plugins/htmlchars.c
===================================================================
--- plugins/htmlchars.c	(revision 2262)
+++ plugins/htmlchars.c	(working copy)
@@ -61,7 +61,7 @@
 static gboolean sc_insert(GtkTreeModel *model, GtkTreeIter *iter);


-static void tools_show_dialog_insert_special_chars()
+static void tools_show_dialog_insert_special_chars(void)
 {
 	if (sc_dialog == NULL)
 	{
@@ -79,7 +79,7 @@
 		gtk_widget_set_name(sc_dialog, "GeanyDialog");

 		height = GEANY_WINDOW_MINIMAL_HEIGHT;
-		gtk_window_set_default_size(GTK_WINDOW(sc_dialog), height * 0.8, height);
+		gtk_window_set_default_size(GTK_WINDOW(sc_dialog), height * 8 / 10, height);
 		gtk_dialog_set_default_response(GTK_DIALOG(sc_dialog), GTK_RESPONSE_CANCEL);

 		label = gtk_label_new(_("Choose a special character from the list below and double click on it or use the button to insert it at the current cursor position."));
@@ -521,7 +521,7 @@


 /* Destroy widgets */
-void cleanup()
+void cleanup(void)
 {
 	gtk_widget_destroy(plugin_fields->menu_item);

Index: plugins/autosave.c
===================================================================
--- plugins/autosave.c	(revision 2262)
+++ plugins/autosave.c	(working copy)
@@ -79,7 +79,7 @@
 }


-void set_timeout()
+void set_timeout(void)
 {
 	if (src_id != G_MAXUINT)
 		g_source_remove(src_id);
@@ -195,7 +195,7 @@
 }


-void cleanup()
+void cleanup(void)
 {
 	g_source_remove(src_id);
 	g_free(config_file);
Index: plugins/classbuilder.c
===================================================================
--- plugins/classbuilder.c	(revision 2262)
+++ plugins/classbuilder.c	(working copy)
@@ -803,7 +803,7 @@
 }


-void cleanup()
+void cleanup(void)
 {
 	gtk_widget_destroy(plugin_fields->menu_item);
 }
